PortAudio: Data Fields - Variables

PortAudio 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables

- c
- d
- e
- f
- h
- i
- m
- n
- o
- s
- t
- v

### - c -

- channelCount : PaStreamParameters
- channelMap : PaMacCoreStreamInfo
- channelMapSize : PaMacCoreStreamInfo
- channelMask : PaWinDirectSoundStreamInfo
- channels : PaWDMKSDirectionSpecificStreamInfo
- currentTime : PaStreamCallbackTimeInfo

### - d -

- defaultHighInputLatency : PaDeviceInfo
- defaultInputDevice : PaHostApiInfo
- defaultLowInputLatency : PaDeviceInfo
- defaultOutputDevice : PaHostApiInfo
- device : PaStreamParameters
- deviceCount : PaHostApiInfo
- deviceProductGuid : PaWinWDMKSDeviceInfo

### - e -

- endpointPinId : PaWDMKSDirectionSpecificStreamInfo
- errorCode : PaHostErrorInfo
- errorText : PaHostErrorInfo

### - f -

- filterPath : PaWinWDMKSDeviceInfo
- flags : PaMacCoreStreamInfo , PaWasapiStreamInfo , PaWinDirectSoundStreamInfo
- FORMAT_FLOAT_32 : com.portaudio.PortAudio
- framesPerBuffer : PaWinDirectSoundStreamInfo
- framesPerHostBuffer : PaWDMKSDirectionSpecificStreamInfo

### - h -

- HOST_API_TYPE_DEV : com.portaudio.PortAudio
- HOST_API_TYPE_SOUNDMANAGER : com.portaudio.PortAudio
- hostApi : PaDeviceInfo
- hostApiSpecificStreamInfo : PaStreamParameters
- hostApiType : PaWasapiStreamInfo , PaWinDirectSoundStreamInfo , PaMacCoreStreamInfo , PaAsioStreamInfo , PaHostErrorInfo , PaWinMmeStreamInfo , PaWinWDMKSInfo

### - i -

- inputBufferAdcTime : PaStreamCallbackTimeInfo
- inputLatency : PaStreamInfo

### - m -

- muxNodeId : PaWDMKSDirectionSpecificStreamInfo

### - n -

- name : PaHostApiInfo

### - o -

- outputBufferDacTime : PaStreamCallbackTimeInfo
- outputLatency : PaStreamInfo

### - s -

- sampleFormat : PaStreamParameters
- sampleRate : PaStreamInfo
- size : PaWinDirectSoundStreamInfo , PaWasapiStreamInfo , PaAsioStreamInfo , PaWinMmeStreamInfo , PaWinWDMKSInfo
- streamingSubType : PaWDMKSDirectionSpecificStreamInfo
- structVersion : PaHostApiInfo , PaStreamInfo
- suggestedLatency : PaStreamParameters

### - t -

- topologyPath : PaWinWDMKSDeviceInfo
- type : PaHostApiInfo

### - v -

- version : PaAsioStreamInfo , PaWinMmeStreamInfo , PaWinWDMKSInfo , PaWasapiStreamInfo , PaWinDirectSoundStreamInfo , PaMacCoreStreamInfo